zenilib: zenilib/jni/external/freetype2/src/base/ftutil.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
ftutil.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_MEMORY_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_LIST_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_memory
#define | FT_COMPONENT trace_list

## Functions

| ft_highpow2 (FT_UInt32 value)
| FT_List_Add (FT_List list, FT_ListNode node)
| FT_List_Finalize (FT_List list, FT_List_Destructor destroy, FT_Memory memory, void *user)
| FT_List_Find (FT_List list, void *data)
| FT_List_Insert (FT_List list, FT_ListNode node)
| FT_List_Iterate (FT_List list, FT_List_Iterator iterator, void *user)
| FT_List_Remove (FT_List list, FT_ListNode node)
| FT_List_Up (FT_List list, FT_ListNode node)
| ft_mem_alloc (FT_Memory memory, FT_Long size, FT_Error *p_error)
| ft_mem_dup (FT_Memory memory, const void *address, FT_ULong size, FT_Error *p_error)
| ft_mem_free (FT_Memory memory, const void *P)
| ft_mem_qalloc (FT_Memory memory, FT_Long size, FT_Error *p_error)
| ft_mem_qrealloc (FT_Memory memory, FT_Long item_size, FT_Long cur_count, FT_Long new_count, void *block, FT_Error *p_error)
| ft_mem_realloc (FT_Memory memory, FT_Long item_size, FT_Long cur_count, FT_Long new_count, void *block, FT_Error *p_error)
| ft_mem_strcpyn (char *dst, const char *src, FT_ULong size)
| ft_mem_strdup (FT_Memory memory, const char *str, FT_Error *p_error)

## Macro Definition Documentation

#define FT_COMPONENT trace_memory

Definition at line 236 of file ftutil.c.

#define FT_COMPONENT trace_list

Definition at line 236 of file ftutil.c.

## Function Documentation

ft_highpow2 | ( | FT_UInt32 | value | ) |

Definition at line 414 of file ftutil.c.

Referenced by pfr_face_get_kerning().

FT_List_Add | ( | FT_List | list,
|  | FT_ListNode | node
| ) |  |

Definition at line 263 of file ftutil.c.

References FT_ListNodeRec_::next, and FT_ListNodeRec_::prev.

Referenced by ft_add_renderer(), FT_New_Size(), and FT_Open_Face().

FT_List_Finalize | ( | FT_List | list,
|  | FT_List_Destructor | destroy,
|  | FT_Memory | memory,
|  | void * | user
| ) |  |

Definition at line 386 of file ftutil.c.

References FT_ListNodeRec_::data, destroy(), FT_FREE, and FT_ListNodeRec_::next.

Referenced by Destroy_Driver(), and destroy_face().

FT_List_Find | ( | FT_List | list,
|  | void * | data
| ) |  |

Definition at line 241 of file ftutil.c.

References FT_ListNodeRec_::data, and FT_ListNodeRec_::next.

Referenced by FT_Done_Face(), FT_Done_Size(), ft_remove_renderer(), FT_Set_Renderer(), and T42_Size_Done().

FT_List_Insert | ( | FT_List | list,
|  | FT_ListNode | node
| ) |  |

Definition at line 284 of file ftutil.c.

References FT_ListNodeRec_::next, and FT_ListNodeRec_::prev.

FT_List_Iterate | ( | FT_List | list,
|  | FT_List_Iterator | iterator,
|  | void * | user
| ) |  |

Definition at line 359 of file ftutil.c.

References error, FT_Err_Ok, and FT_ListNodeRec_::next.

FT_List_Remove | ( | FT_List | list,
|  | FT_ListNode | node
| ) |  |

Definition at line 305 of file ftutil.c.

References FT_ListNodeRec_::next, and FT_ListNodeRec_::prev.

Referenced by FT_Done_Face(), FT_Done_Size(), and ft_remove_renderer().

FT_List_Up | ( | FT_List | list,
|  | FT_ListNode | node
| ) |  |

Definition at line 329 of file ftutil.c.

References FT_ListNodeRec_::next, and FT_ListNodeRec_::prev.

Referenced by FT_Set_Renderer().

ft_mem_alloc | ( | FT_Memory | memory,
|  | FT_Long | size,
|  | FT_Error * | p_error
| ) |  |

Definition at line 50 of file ftutil.c.

References error, ft_mem_qalloc(), and FT_MEM_ZERO.

Referenced by ft_mem_qrealloc().

ft_mem_dup | ( | FT_Memory | memory,
|  | const void * | address,
|  | FT_ULong | size,
|  | FT_Error * | p_error
| ) |  |

Definition at line 176 of file ftutil.c.

References error, ft_mem_qalloc(), and ft_memcpy.

Referenced by ft_mem_strdup().

ft_mem_free | ( | FT_Memory | memory,
|  | const void * | P
| ) |  |

Definition at line 167 of file ftutil.c.

Referenced by ft_mem_qrealloc(), FT_Stream_ExitFrame(), and FT_Stream_ReleaseFrame().

ft_mem_qalloc | ( | FT_Memory | memory,
|  | FT_Long | size,
|  | FT_Error * | p_error
| ) |  |

Definition at line 66 of file ftutil.c.

References error, FT_Err_Invalid_Argument, FT_Err_Ok, and NULL.

Referenced by ft_mem_alloc(), ft_mem_dup(), and FT_Stream_EnterFrame().

ft_mem_qrealloc | ( | FT_Memory | memory,
|  | FT_Long | item_size,
|  | FT_Long | cur_count,
|  | FT_Long | new_count,
|  | void * | block,
|  | FT_Error * | p_error
| ) |  |

Definition at line 113 of file ftutil.c.

References error, FT_ASSERT, FT_Err_Invalid_Argument, FT_Err_Ok, FT_INT_MAX, ft_mem_alloc(), ft_mem_free(), and NULL.

Referenced by ft_mem_realloc().

ft_mem_realloc | ( | FT_Memory | memory,
|  | FT_Long | item_size,
|  | FT_Long | cur_count,
|  | FT_Long | new_count,
|  | void * | block,
|  | FT_Error * | p_error
| ) |  |

Definition at line 92 of file ftutil.c.

References error, FT_Err_Ok, ft_mem_qrealloc(), and FT_MEM_ZERO.

ft_mem_strcpyn | ( | char * | dst,
|  | const char * | src,
|  | FT_ULong | size
| ) |  |

Definition at line 207 of file ftutil.c.

ft_mem_strdup | ( | FT_Memory | memory,
|  | const char * | str,
|  | FT_Error * | p_error
| ) |  |

Definition at line 194 of file ftutil.c.

References ft_mem_dup(), and ft_strlen.